Package wx :: Package lib :: Package mixins :: Module rubberband :: Class RubberBand

[frames | no frames]

## Class RubberBand

A stretchable border which is drawn on top of an image to define an area.

Method Summary
| `__init__(self, drawingSurface, aspectRatio)`
| ``getCurrentExtent`(self)` Return (x0, y0, x1, y1) or None if no drawing has yet been done.
| ``reset`(self, aspectRatio)` Clear the existing rubberband

Property Summary
| `enabled`: True if I am responding to mouse events

Method Details

### getCurrentExtent(self)

Return (x0, y0, x1, y1) or None if no drawing has yet been done.

### reset(self, aspectRatio=None)

Clear the existing rubberband

Property Details

### enabled

True if I am responding to mouse events

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:46 2007 | http://epydoc.sf.net